Create Huggingface Experiment Import
curl --request POST \
--url https://api.heybee.app/v1/integrations/huggingface/imports \
--header 'Authorization: Bearer <token>' \
--header 'Content-Type: application/json' \
--data '
{
"dataset_repo_id": "<string>",
"name": "<string>",
"config_name": "default",
"description": "<string>",
"experiment_id": "3c90c3cc-0d44-4b50-8888-8dd25736052a",
"kind": "simple",
"mapping": {
"anchor": {
"column": "<string>",
"type": "<string>"
},
"candidates": [
{
"candidate_key": "<string>",
"column": "<string>",
"candidate_label": "<string>"
}
],
"metadata_columns": [
"<string>"
],
"mode": "wide_benchmark",
"text_pair_patch": {
"source_columns": [
"<string>"
],
"anchor_column": "__derived_prompt",
"output_mode": "suffix",
"type": "paired_text_common_prefix"
}
},
"row_limit": 100,
"row_offset": 0,
"split_name": "train"
}
'import requests
url = "https://api.heybee.app/v1/integrations/huggingface/imports"
payload = {
"dataset_repo_id": "<string>",
"name": "<string>",
"config_name": "default",
"description": "<string>",
"experiment_id": "3c90c3cc-0d44-4b50-8888-8dd25736052a",
"kind": "simple",
"mapping": {
"anchor": {
"column": "<string>",
"type": "<string>"
},
"candidates": [
{
"candidate_key": "<string>",
"column": "<string>",
"candidate_label": "<string>"
}
],
"metadata_columns": ["<string>"],
"mode": "wide_benchmark",
"text_pair_patch": {
"source_columns": ["<string>"],
"anchor_column": "__derived_prompt",
"output_mode": "suffix",
"type": "paired_text_common_prefix"
}
},
"row_limit": 100,
"row_offset": 0,
"split_name": "train"
}
headers = {
"Authorization": "Bearer <token>",
"Content-Type": "application/json"
}
response = requests.post(url, json=payload, headers=headers)
print(response.text)const options = {
method: 'POST',
headers: {Authorization: 'Bearer <token>', 'Content-Type': 'application/json'},
body: JSON.stringify({
dataset_repo_id: '<string>',
name: '<string>',
config_name: 'default',
description: '<string>',
experiment_id: '3c90c3cc-0d44-4b50-8888-8dd25736052a',
kind: 'simple',
mapping: {
anchor: {column: '<string>', type: '<string>'},
candidates: [{candidate_key: '<string>', column: '<string>', candidate_label: '<string>'}],
metadata_columns: ['<string>'],
mode: 'wide_benchmark',
text_pair_patch: {
source_columns: ['<string>'],
anchor_column: '__derived_prompt',
output_mode: 'suffix',
type: 'paired_text_common_prefix'
}
},
row_limit: 100,
row_offset: 0,
split_name: 'train'
})
};
fetch('https://api.heybee.app/v1/integrations/huggingface/imports', options)
.then(res => res.json())
.then(res => console.log(res))
.catch(err => console.error(err));
{
"config_name": "<string>",
"dataset_repo_id": "<string>",
"experiment_id": "3c90c3cc-0d44-4b50-8888-8dd25736052a",
"id": "3c90c3cc-0d44-4b50-8888-8dd25736052a",
"row_limit": 123,
"row_offset": 123,
"split_name": "<string>",
"status": "<string>",
"created_at": "2023-11-07T05:31:56Z",
"error_code": "<string>",
"error_message": "<string>",
"failed_rows": 0,
"reserved_rows": 123,
"skipped_rows": 0,
"successful_rows": 0,
"updated_at": "2023-11-07T05:31:56Z"
}{
"detail": [
{
"loc": [
"<string>"
],
"msg": "<string>",
"type": "<string>"
}
]
}Hugging Face
Create Huggingface Experiment Import
Create a new experiment from a dataset and import into it (import-first UX).
POST
/
v1
/
integrations
/
huggingface
/
imports
Create Huggingface Experiment Import
Authorizations
BearerAuthApiKeyAuth
Bearer authentication header of the form Bearer <token>, where <token> is your auth token.
Body
application/json
Create a NEW experiment from a dataset selection and import into it.
Minimum string length:
1Required string length:
1 - 255Minimum string length:
1Available options:
simple, advanced Show child attributes
Show child attributes
Required range:
x >= 0Minimum string length:
1Available options:
text, image, audio, video Response
Successful Response
Available options:
text, image, audio, video ⌘I

